Subject: bug#44986: closed (Re: bug#44986: [PATCH] doc: Give references and examples for services-to-restart.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 03 Dec 2020 16:49:02 +0000

Your bug report

#44986: [PATCH] doc: Give references and examples for services-to-restart.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44986: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44986
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44986: [PATCH] doc: Give references and examples for services-to-restart.
From: Ludovic Courtès <[email-masked]>
To: Simon Josefsson <[email-masked]>
Cc: [email-masked]
Date: Thu, 03 Dec 2020 17:48:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Simon,

Simon Josefsson <[email-masked]> skribis:

> Hi!  I started using unattended-upgrades, and was confused which service
> names (config.scm vs herd) to use.  I think this small documentation
> patch would help others.  What do you think?

Sounds like a good idea.

> From c414dd60652ecdd124b189b2c46ce30ae9db986d Mon Sep 17 00:00:00 2001
> From: Simon Josefsson <[email-masked]>
> Date: Tue, 1 Dec 2020 10:10:17 +0100
> Subject: [PATCH] doc: Give references and examples for services-to-restart.
>
> * doc/guix.texi (Unattended Upgrades): Give references and examples
> for services-to-restart.
> ---
>  doc/guix.texi | 4 ++++
>  1 file changed, 4 insertions(+)
>
> diff --git a/doc/guix.texi b/doc/guix.texi
> index 889f380108..02d3077983 100644
> --- a/doc/guix.texi
> +++ b/doc/guix.texi
> @@ -17175,6 +17175,10 @@ only restarts services that are not currently running, which is
>  conservative: it minimizes disruption but leaves outdated services
>  running.
>  
> +Use @command{herd status} to find out candidates for restarting.
> +@xref{Services}, for general information about services.  Common
> +services to restart would include @code{ntpd} and @code{ssh-daemon}.

Applied, thanks!

Another option is to look at the ‘shepherdnames’ field in ‘guix system
search’.  Not sure if it’s worth mentioning here.

Ludo’.

Subject: [PATCH] doc: Give references and examples for services-to-restart.
From: Simon Josefsson <[email-masked]>
To: [email-masked]
Date: Tue, 01 Dec 2020 10:14:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!  I started using unattended-upgrades, and was confused which service
names (config.scm vs herd) to use.  I think this small documentation
patch would help others.  What do you think?

/Simon
From c414dd60652ecdd124b189b2c46ce30ae9db986d Mon Sep 17 00:00:00 2001
From: Simon Josefsson <[email-masked]>
Date: Tue, 1 Dec 2020 10:10:17 +0100
Subject: [PATCH] doc: Give references and examples for services-to-restart.

* doc/guix.texi (Unattended Upgrades): Give references and examples
for services-to-restart.
---
 doc/guix.texi | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/doc/guix.texi b/doc/guix.texi
index 889f380108..02d3077983 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -17175,6 +17175,10 @@ only restarts services that are not currently running, which is
 conservative: it minimizes disruption but leaves outdated services
 running.
 
+Use @command{herd status} to find out candidates for restarting.
+@xref{Services}, for general information about services.  Common
+services to restart would include @code{ntpd} and @code{ssh-daemon}.
+
 By default, the @code{mcron} service is restarted.  This ensures that
 the latest version of the unattended upgrade job will be used next time.
 
-- 
2.20.1